Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts
[Java] Interface ResolvedConfiguration

    public interface ResolvedConfiguration

A `ResolvedConfiguration` represents the result of resolving a Configuration, and provides access to both the artifacts and the meta-data of the result.

Method Summary
`java.util.Set` | `getFiles(Spec dependencySpec)` Returns the files for the specified subset of configuration dependencies.
`java.util.Set` | `getFirstLevelModuleDependencies()` Returns the ResolvedDependency instances for each direct dependency of the configuration.
`java.util.Set` | `getFirstLevelModuleDependencies(Spec dependencySpec)` Returns the ResolvedDependency instances for each direct dependency of the configuration that matches the given spec.
`java.util.Set` | `getResolvedArtifacts()` Returns the set of artifact meta-data for this configuration.
`boolean` | `hasError()` Returns whether all dependencies were successfully retrieved or not.
`void` | `rethrowFailure()` A resolve of a configuration that is not successful does not automatically throws an exception.

Method Detail

### getFiles

    public java.util.Set getFiles(Spec dependencySpec)

  Returns the files for the specified subset of configuration dependencies.
  throws:
    ResolveException when the resolve was not successful.
  Parameters:
    `dependencySpec` - The filter for the configuration dependencies.
  Returns:
    The artifact files of the specified dependencies.

### getFirstLevelModuleDependencies

    public java.util.Set getFirstLevelModuleDependencies()

  Returns the ResolvedDependency instances for each direct dependency of the configuration. Via those you have access to all ResolvedDependency instances, including the transitive dependencies of the configuration.
  throws:
    ResolveException when the resolve was not successful.
  Returns:
    A `ResolvedDependency` instance for each direct dependency.

### getFirstLevelModuleDependencies

    public java.util.Set getFirstLevelModuleDependencies(Spec dependencySpec)

  Returns the ResolvedDependency instances for each direct dependency of the configuration that matches the given spec. Via those you have access to all ResolvedDependency instances, including the transitive dependencies of the configuration.
  throws:
    ResolveException when the resolve was not successful.
  Parameters:
    `dependencySpec` - A filter for the dependencies to be resolved.
  Returns:
    A `ResolvedDependency` instance for each direct dependency.

### getResolvedArtifacts

    public java.util.Set getResolvedArtifacts()

  Returns the set of artifact meta-data for this configuration.
  throws:
    ResolveException when the resolve was not successful.
  Returns:
    The set of artifacts.

### hasError

    public boolean hasError()

  Returns whether all dependencies were successfully retrieved or not.

### rethrowFailure

    public void rethrowFailure()

  A resolve of a configuration that is not successful does not automatically throws an exception. Such a exception is only thrown if the result of a resolve is accessed. You can force the throwing of such an exception by calling this method.
  throws:
    ResolveException when the resolve was not successful.

Groovy Documentation